var confirm_modal = $('[data-remodal-id=confirm_modal]').remodal();
var warning_modal = $('[data-remodal-id=warning_modal]').remodal();

// const HTTP_REQUEST  = 'http://192.168.1.221:8080';
var HTTP_REQUEST  = 'http://47.106.177.17:8080';
var timer = 60;

$(document).on('confirmation', '.confirm_modal', function () {
    mui.toast('2秒后为您跳转至下载页面...',{ duration:'long', type:'div' });
    // warning_text('2秒后为您跳转至下载页面...');
    setTimeout(function () {
        confirm_modal.close();
        window.location.href = HTTP_REQUEST + "/product/downloadApp";
    }, 2000);
});

//获取邀请码
function getInviteCode() {
    var search = window.location.search;
    var start = search.indexOf("inviteCode=");
    if (start >= 0) {
        start = start + 11;
        var end = search.indexOf("&", start);
        if (end < 0) end = search.length;
        var inviteCode = search.substring(start, end).replace('+', ' ');
        return decodeURIComponent(inviteCode);
    }
    return "";
}

//自动消失警告框文本设置
function warning_text(text) {
    $('.warning_modal p').text(text);
    warning_modal.open();
    setTimeout(function () {
        warning_modal.close();
    }, 1500);
}

//验证码计时器
function changeTime() {
    var time = $('.verify-button');
    if (timer === 0) {
        time.prop("disabled", false);
        time.text("获取验证码");
        timer = 60;
    } else {
        time.prop("disabled", true);
        time.text(timer + "秒后重新获取");
        timer--;
        setTimeout(function () {
            changeTime();
        }, 1000)
    }
}

//获取验证码
function getVerifyCode() {
    var phone = $('.phone').val();
    if (/^1\d{10}$/.test(phone)) {
        $.ajax({
            type: "POST",
            url: HTTP_REQUEST + "/verificationCode/send",
            dataType: 'json',
            data: JSON.stringify({mobile: phone, scene: 'REGISTER'}),
            contentType: 'application/json;charset=UTF-8',
            success: function(data){
                if (data['code'] !== 0) {
                    if (data['code'] === 2005) {
                        $('.confirm_modal p').text('该手机号已注册，是否直接跳转至App下载页面？');
                        confirm_modal.open();
                    }
                    else {
                        mui.toast(data['message'],{ duration:'long', type:'div' });
                        // warning_text(data['message']);
                    }
                }
                else {
                    changeTime();
                }
            }
        });

    }
    else {
        mui.toast('请输入11位手机号',{ duration:'long', type:'div' });
        // warning_text('请输入11位手机号');
    }
}

//表单提交验证
function checkForm() {
    var phone = $(".phone").val();
    var verify = $(".verify").val();
    var pass_01 = $(".pass-01").val();
    var pass_02 = $(".pass-02").val();
    if (/^1\d{10}$/.test(phone)){
        if (/^\d{6}$/.test(verify)){
            if (/^.{6,16}$/.test(pass_01)) {
                if (pass_02) {
                    if (pass_01 === pass_02) {
                        return '验证通过';
                    } else {
                        return '两次输入密码不一致';
                    }
                } else {
                    return '请再次输入密码';
                }
            }
            else {
                return '请输入长度在6至16位的密码';
            }
        } else {
            return '请输入6位数字验证码';
        }
    } else {
        return '请输入11位手机号';
    }
}

//提交注册信息
function confirm() {
    var message = checkForm();
    if (message === '验证通过') {
        var phone = $(".phone").val();
        var verify = $(".verify").val();
        var pass_01 = $(".pass-01").val();
        $.ajax({
            url: HTTP_REQUEST + '/user/register',
            type: 'post',
            dataType: 'json',
            data: JSON.stringify({
                mobile: phone,
                password: pass_01,
                verificationCode: verify,
                scene: 'REGISTER',
                inviteCode: getInviteCode()
            }),
            contentType: 'application/json;charset=UTF-8',
            success: function(data){
                if (data['code'] !== 0) {
                    // warning_text(data['message']);
                    mui.toast(data['message'],{ duration:'long', type:'div' });
                }
                else {
                    // warning_text('恭喜您注册成功，2秒后为您跳转至下载页面...');
                    mui.toast('恭喜您注册成功，2秒后为您跳转至下载页面...',{ duration:'long', type:'div' });
                    setTimeout(function () {
                        window.location.href = HTTP_REQUEST + "/product/downloadApp";
                    }, 2000);
                }
            }
        });
    }
    else {
        warning_text(message);
    }
}

var windowHeight = $(window).height();
$(window).resize(function () {
    if ($(window).height() != windowHeight) {
        $(window).height(windowHeight);
    }
});

var u = navigator.userAgent, app = navigator.appVersion;
var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
$(document).ready(function(){
    $("input").blur(function(){
        if (isIOS) {
            blurAdjust();
        }
    });
});
function blurAdjust(e){
    setTimeout(()=>{
        if(document.activeElement.tagName === 'INPUT' || document.activeElement.tagName === 'TEXTAREA'){
            return;
        }
        var result = 'pc';
        if(/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) { //判断iPhone|iPad|iPod|iOS
            result = 'ios'
        }else if(/(Android)/i.test(navigator.userAgent)) {  //判断Android
            result = 'android'
        }
        if( result = 'ios' ){
            document.activeElement.scrollIntoViewIfNeeded(true);
        }
    },100)
}
